## lua-torch-graph 0~20161121

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
CMAKE_POLICY(VERSION 2.6)
FIND_PACKAGE(Torch REQUIRED)

FILE(GLOB luasrc *.lua)

ADD_TORCH_PACKAGE(graph ""  "${luasrc}" "General Graph Package")

## lua-torch-graph 0~20161121-g37dac07

=== debian/changelog ===
lua-torch-graph (0~20161121-g37dac07-3) unstable; urgency=medium

  * Add watch file to monitor upstream master branch.
  * Bump Standards-Version to 4.1.4 .
    + Change copyright-format URL into https form.
  * Bump debhelper compat level to 11.
  * Update copyright information.
  * Point Vcs-* links to Salsa.
  * Let override_dh_auto_test target check DEB_BUILD_OPTIONS.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 20 Apr 2018 05:15:47 +0000

lua-torch-graph (0~20161121-g37dac07-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.0 . (requires no change)
  * Upload to unstable.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 20 Sep 2017 02:53:43 +0000

lua-torch-graph (0~20161121-g37dac07-1) experimental; urgency=medium

  * Import snapshot.
  * Change debhelper compat to 10 .
  * Bump Standards-Version to 4.0.0 (requires no change).
  * Add autopkgtest control file.
  * Change Architecture back to all.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 26 Jul 2017 15:22:22 +0000

lua-torch-graph (0~20161027-g47afe90-2) experimental; urgency=medium

  * Temporarily ignore the test failure caused by lua-torch-torch7.
  * Change Architecture from all to any, so this package will be tested
    on different architectures where lua-torch-torch7 is available.
  * Override package-contains-no-arch-dependent-files (lintianX).

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 17 Nov 2016 08:15:11 +0000

lua-torch-graph (0~20161027-g47afe90-1) experimental; urgency=medium

  * New upstream snapshot.
  * Install test scripts as example.
  * Override dh_auto_test to run upstream unittest test/test_graph.lua .
  * Add luajit to B-D, which is used for dh_auto_test.
  * Make luajit prior to lua5.1 in Dependency list.

 -- Zhou Mo <cdluminate@gmail.com>  Wed, 16 Nov 2016 08:09:56 +0000

lua-torch-graph (0~20160415-g34d7128-1) experimental; urgency=low

  * Initial release. Closes: #827432

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 14 Aug 2016 13:40:11 +0000

=== debian/control ===
Source: lua-torch-graph
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>=11),
               dh-lua,
               luajit,
# lua-torch-torch7 is not real B-D, but explicit runtime dependency
               lua-torch-torch7,
Standards-Version: 4.1.4
Homepage: https://github.com/torch/graph
Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-graph
Vcs-Git: https://salsa.debian.org/science-team/lua-torch-graph.git

Package: lua-torch-graph
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
         luajit | lua5.1,
         lua-torch-torch7,
XB-Lua-Versions: ${lua:Versions}
Suggests: graphviz
Description: Graph Computation Package for Torch Framework
 This package provides graphical computation for Torch.
 .
 This package also ships a graphviz interface, you need *not* `graphviz`
 to be able to use this library but, if you have it, you will be able to
 display the graphs that you have created.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . graph
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ln -s graph/init.lua graph.lua
	-luajit -ltorch -lgraph test/test_graph.lua
	rm graph.lua
	dh_auto_test
endif

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-graph 5.2-torch-graph debian/trash graph
	dh_auto_clean

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd-g%h" \
https://github.com/torch/graph \
HEAD debian uupdate
